VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Boss"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Boss
Implements Employee
Private empl As Employee
Private bonusDays As Integer
'-----
Private Sub Class_Initialize()
  Set empl = New Employee
End Sub
'-----
Private Sub Employee_accept(v As Visitor)
  empl.accept v
End Sub
'-----
Private Function Employee_getName() As String
  Employee_getName = empl.getName
End Function
'-----
Private Function Employee_getSalary() As Single
  Employee_getSalary = empl.getSalary
End Function
'-----
Private Function Employee_getSickdays() As Integer
  Employee_getSickdays = empl.getSickdays
End Function
'-----
Private Function Employee_getVacDays() As Integer
  Employee_getVacDays = empl.getVacDays
End Function
'-----
Private Sub Employee_init(nm As String, sl As Single, vDays As Integer, sDays As Integer)
  empl.init nm, sl, vDays, sDays
End Sub
'-----
Public Sub setBonusdays(bday As Integer)
  bonusDays = bday
End Sub
'-----
Public Function getBonusDays() As Integer
  getBonusDays = bonusDays
End Function
'-----
Public Sub accept(v As Visitor)
  v.visit Me
End Sub

Public Sub makeBoss(emp As Employee)
  Set empl = emp
  bonusDays = 0
End Sub
